<!DOCTYPE html>
<html lang="en">

    <head>

        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="">
        <meta name="author" content="">

        <title>Empleado</title>
        <link href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet">
        <!-- Custom fonts for this theme -->
        <link href="vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,700" rel="stylesheet" type="text/css">
        <link href="https://fonts.googleapis.com/css?family=Lato:400,700,400italic,700italic" rel="stylesheet" type="text/css">
        <script src="https://cdn.jsdelivr.net/npm/sweetalert2@9"></script>
        <!-- Theme CSS -->
        <link href="css/freelancer.min.css" rel="stylesheet">

    </head>
    <body id="page-top" onload="cargarTablaEmpleado()">

        <!-- Navigation -->
        <nav class="navbar navbar-expand-lg bg-secondary text-uppercase fixed-top" id="mainNav">
            <div class="container">
                <a class="navbar-brand js-scroll-trigger" href="#page-top">Modulo Empleado</a>
                <button class="navbar-toggler navbar-toggler-right text-uppercase font-weight-bold bg-primary text-white rounded" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                    Menu
                    <i class="fas fa-bars"></i>
                </button>
                <div class="collapse navbar-collapse" id="navbarResponsive">
                    <ul class="navbar-nav ml-auto">

                    </ul>
                </div>
            </div>
        </nav>

        <!-- Masthead -->
        <div class="container">
            <!-- Portfolio Grid Items -->
            <br>
            <br>
            <br>
            <br>
            <br>
            <br>
            <div class="row">
                <h2 class="page-section-heading   text-center  text-secondary mb-0" style="margin-left: 480px">Empleados</h2>
                <!-- Icon Divider -->
                <div class="divider-custom">
                    <div class="divider-custom-line"></div>
                    <div class="divider-custom-icon">
                        <i class="fas fa-star"></i>
                    </div>
                    <div class="divider-custom-line"></div>
                </div>
                <button  data-toggle="modal" data-target="#modalEmpleado" onclick="limpiarFormulario()" class="btn btn-info d-flex" >Nuevo<i class="material-icons">
save
</i></button>
                
                <table class="table" id="tblMongo">
                    <thead>
                        <tr>
                            <th scope="col">Nombre</th>
                            <th scope="col">Apellido Paterno</th>
                            <th scope="col">Apellido Materno</th>
                            <th scope="col">Nacimiento</th>
                            <th scope="col">Email</th>
                            <th scope="col">Telefono</th>
                            <th scope="col">Usuario</th>
                            <th scope="col">Fecha Registro</th>
                            <th scope="col">Acciones</th>
                        </tr>
                    </thead>
                    <tbody id="tbEmpleado">
                    </tbody>
                </table>
            </div>
            <!-- /.row -->
        </div>

        <div class="modal fade" id="modalEmpleado" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
            <div class="modal-dialog" role="document">
                <div class="modal-content">
                    <div class="modal-header" style="background-color:#2c3e50;">
                        <h5 class="modal-title" id="lblTitulo" style="color: #FFFF;">Detalle Empleado</h5>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div>
                        <div class="row" style="margin: 10px">
                            <div class="form-group col-12" style="margin: 0px; padding: 5px">
                                <label for="recipient-name" class="col-form-label">Nombre:</label>
                                <input type="text" class="form-control" id="txtNombre">
                            </div>
                        </div>
                        <div class="row" style="margin: 10px">
                            <div class="form-group col-6" style="margin: 0px; padding: 5px">
                                <label for="message-text" class="col-form-label" >Apellido Paterno:</label>
                                <input type="text" class="form-control" id="txtApePa">
                            </div>
                            <div class="form-group col-6" style="margin: 0px; padding: 5px">
                                <label for="message-text" class="col-form-label" >Apellido Materno</label>
                                <input type="text" class="form-control" id="txtApeMa">
                            </div>
                        </div>
                        <div class="row" style="margin: 10px">
                            <div class="form-group col-6" style="margin: 0px; padding: 5px">
                                <label for="recipient-name" class="col-form-label">Genero:</label>
                                <select class="form-control" id="txtGenero">
                                    <option value="F">Femenino</option>
                                    <option value="M">Masculino</option>
                                </select>
                            </div>
                            <div class="form-group col-6" style="margin: 0px; padding: 5px">
                                <label for="message-text" class="col-form-label">Telefono:</label>
                                <input type="text" class="form-control" id="txtTelefono">
                            </div>
                        </div>
                        <div class="row" style="margin: 10px">

                            <div class="form-group col-12" style="margin: 0px; padding: 5px">
                                <label for="message-text" class="col-form-label">Email:</label>
                                <input type="text" class="form-control" id="txtEmail">
                            </div>

                        </div>
                        <div class="row" style="margin: 10px">
                            <div class="form-group col-6" style="margin: 0px; padding: 5px">
                                <label for="recipient-name" class="col-form-label">Usuario:</label>
                                <input type="text" class="form-control" id="txtUusario">
                            </div>
                            <div class="form-group col-6" style="margin: 0px; padding: 5px">
                                <label for="message-text" class="col-form-label">Contraseña:</label>
                                <input type="password" class="form-control" id="txtContrasena">
                            </div>
                        </div>
                        <div class="row" style="margin: 10px">

                            <div class="form-group col-6" style="margin: 0px; padding: 5px">
                                <label for="message-text" class="col-form-label">Rol</label>
                                <select class="form-control" id="txtRol">
                                    <option value="1">Empleado</option>
                                    <option value="2">Adminsitrador</option>
                                </select>
                                <input type="text" class="form-control" id="txtClave" style="display: none;">
                            </div>
                            <div class="form-group col-6" style="margin: 0px; padding: 5px">
                                <label for="message-text" class="col-form-label">Fecha Nacimiento</label>
                                <input type="date" class="form-control" id="txtFecha">
                            </div>
                        </div>
                        <div class="row" style="margin: 10px">
                          <div class="form-group col-1">

                          </div>
                          <div class="form-group col-4" style="margin: 0px; padding: 5px">
                              <img src="" alt="Image"  id="imgEmpleado" style="height: 100px; width: 100px">
                          </div>
                          <div class="form-group col-1">

                          </div>
                          <div class="form-group col-6" style="margin: 0px; padding: 5px">
                              <label for="message-text" class="col-form-label">Fotografia</label>
                              <input type="file" class="form-control"  onchange="encodeImagetoBase64(this)">
                              <input type="text" class="form-control" id="txtFoto" style="display: none;">
                          </div>
                        </div>
                    </div>
                    <div class="modal-footer"  style="background-color:#2c3e50; padding: 30px;">
                        <button type="button" id="btnEliminar" class="btn btn-primary"  data-dismiss="modal" onclick="eliminarEmpleado()">Eliminar<i class="material-icons">
delete
</i></button>
                        <button type="button" class="btn btn-primary" data-dismiss="modal" onclick="decidirEmpleado()">Guardar<i class="material-icons">
save_alt
</i></button>
                    </div>
                </div>
            </div>
        </div>

        <!-- Bootstrap core JavaScript -->
        <script src="vendor/jquery/jquery.min.js"></script>
        <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>
        <script src="sweetalert2.min.js"></script>
<link rel="stylesheet" href="sweetalert2.min.css">
        <!-- Plugin JavaScript -->
        <script src="vendor/jquery-easing/jquery.easing.min.js"></script>
        <script src="sweetalert2.all.min.js"></script>
<!-- Optional: include a polyfill for ES6 Promises for IE11 -->
<script src="https://cdn.jsdelivr.net/npm/promise-polyfill"></script>
        <!-- Contact Form JavaScript -->
        <script src="js/jqBootstrapValidation.js"></script>
        <script src="js/contact_me.js"></script>

        <!-- Custom scripts for this template -->
        <script src="js/freelancer.min.js"></script>

        <script src="js/moduloEmpleado.js"></script>
    </body>

</html>
